:root {
    /* fondo */
    --ColorVeryDarkGrayishBlue: hsl(217, 19%, 35%);
    /* fondo sharebuttons */
    --ColorDesaturatedDarkBlue: hsl(214, 17%, 51%);
    /* Color botton share */
    --ColorGrayishBlue: hsl(212, 23%, 69%);
    /* fondo carta */
    --ColorLightGrayishBlue: hsl(210, 46%, 95%);
}

@font-face {
    font-family: "Manrope";
    src: url(https://fonts.google.com/specimen/Manrope);
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: "Manrope", sans-serif;
    font-size: 13px;
    color: var(--ColorVeryDarkGrayishBlue);
}

body {
    width: 100%;
    background-color: var(--ColorLightGrayishBlue);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    height: 100vh;
}

main {
    background-color: white;
}

h1 {
    font-weight: 700;
    letter-spacing: 1px;
}

article p {
    font-weight: 200;
}

.perfil h2 {
    font-weight: 700;
}

.date {
    font-weight: 500;
}

footer {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.perfil {
    width: 100%;
    display: flex;
    justify-content: left;
    align-items: center;
}

.share {
    display: none;
    justify-content: center;
    align-items: center;
    width: 100%;
    background-color: var(--ColorVeryDarkGrayishBlue);
    border-radius: 0 0 10px 10px;
}


.share-buttons {
    display: flex;
    align-items: center;
}

.share-buttons p {
    text-transform: uppercase;
    letter-spacing: 2px;
    color: white;
    opacity: 0.5;
}



@media (max-width:500px) {

    body {
        padding: 6vw;
    }

    main {
        display: flex;
        flex-direction: column;
        width: 100%;
        border-radius: 10px;
    }

    main img {
        border-radius: 10px 10px 0px 0px;
    }

    section {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
    }

    h1 {
        margin-bottom: 4vw;
        font-size: 14px;
    }

    article {
        margin: 8vw;
    }

    main p {
        font-size: 14px;
    }

    .perfil img {
        width: 10vw;
        border-radius: 50%;
        margin-right: 3vw;
    }

    .perfil {
        padding: 0 8vw;
        margin-bottom: 6vw;
    }

    .perfil i {
        padding: 2vw;
    }

    .share{
        width: 100%;
        padding: 4vw 8vw;
        color: var(--ColorDesaturatedDarkBlue);
        font-size: 10vw;
    }

    .share p{
        margin-right: 2vw;
    }

    .share-buttons{
        width: 100%;;
    }

    .share-buttons i{
        font-size: 16px;
        color: white;
    }

    .share i{
        padding: 1vw;
    }

}

@media (min-width:501px){
    body{
        height: 100vh;
        padding: 27vw;
    }

    main{
        display: flex;
        justify-content: center;
        align-items: center;
        border-radius: 2%;
    }
    main img{
        width: 40%;
        height: 100%;
    }
    section{
        padding: 2vw;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
    }

    article h1{
        font-weight: 700;
        color: var(--ColorDesaturatedDarkBlue);
        margin-bottom: 1vw;
    }

    article p{
        color: var(--ColorDesaturatedDarkBlue);
        font-weight: 500;
        margin-bottom: 1vw;
    }

    footer{
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column-reverse;
    }

    .perfil img{
        width: 2vw;
        height: 2vw;
        border-radius: 50%;
        margin-right: 1vw;
    }

    .perfil h2{
        font-weight: 700;
        color: var(--ColorDesaturatedDarkBlue);
    }

    .date{
        font-weight: 500;
        color: var(--ColorDesaturatedDarkBlue);
    }

    .share {
        width: 100%;
        position: relative;
        background-color: var(--ColorVeryDarkGrayishBlue); /* Color de fondo */
        padding: 1vw;
        border-radius: 10px; /* Bordes suavizados */
        text-align: center;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); /* Sombra para dar un efecto flotante */
        color: white;
    }
    
    /* Triángulo en la parte inferior */
    .share::after {
        content: "";
        position: absolute;
        bottom: -15px; /* Posición del triángulo debajo del rectángulo */
        right: 0vw;
        transform: translateX(-50%);
        border-width: 10px; /* Tamaño del triángulo */
        border-style: solid;
        border-color: var(--ColorVeryDarkGrayishBlue) transparent transparent transparent; /* Color de fondo en el borde superior */
    }

    .share-buttons{
        display: flex;
        gap: 2vw;
    }

    .share-buttons i{
        font-size: 16px;
        color: white;
    }
}

.show-share {
    display: flex; /* Muestra la caja en escritorio */
    margin-bottom: 10px;
}

.show-share-mobile {
    display: flex !important; /* Muestra la caja en móviles */
}


.btnShare {
    padding: 1vw;
    margin-left: auto;
    background-color: var(--ColorLightGrayishBlue);
    color: var(--ColorDesaturatedDarkBlue);
    border-radius: 50%;
    border: none;
}

.btnShare:hover{
    cursor: pointer;
    color: white;
    background-color: var(--ColorGrayishBlue);
}